%global pkgvers 1
%global scdate0 20220112
%global schash0 f5a41e5ab140c2f44a8a33d0f436d9d484f8dcdb
%global branch0 master
%global source0 https://github.com/SymbiFlow/SymbiYosys.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           symbiyosys
Version:        0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Front-end for Yosys-based formal verification flows
BuildArch:      noarch
License:        ISC

URL:            https://github.com/SymbiFlow/SymbiYosys

BuildRequires:  make git python3-devel

Requires:       yices-tools


%description
SymbiYosys (sby) is a front-end driver program for
Yosys-based formal hardware verification flows.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
# clean spurious
find . -name '\.gitignore' -exec rm {} \;


%build


%install
%set_build_flags
%make_install PREFIX="%{_prefix}" STRIP=/bin/true


%files
%doc README.md
%doc docs
%license COPYING
%{_bindir}/*
%{_datadir}/yosys


%changelog
* Sat Nov 07 2020 Cristian Balint <cristian.balint@gmail.com>
- upstream github releases
